import request from '@/utils/request'

// 同步机器人数据
export function syn() {
  return request({
    url: '/business/ctRebot/syn',
    method: 'post',
    data:{}
  })
}


// 查询所有可用机器人
export function listRebotAll(query) {
  return request({
    url: '/business/ctRebot/listAll',
    method: 'get',
    params: query
  })
}

// 查询机器人管理列表
export function listCtRebot(query) {
  return request({
    url: '/business/ctRebot/list',
    method: 'get',
    params: query
  })
}

// 查询机器人管理详细
export function getCtRebot(id) {
  return request({
    url: '/business/ctRebot/' + id,
    method: 'get'
  })
}

// 新增机器人管理
export function addCtRebot(data) {
  return request({
    url: '/business/ctRebot',
    method: 'post',
    data: data
  })
}

// 修改机器人管理
export function updateCtRebot(data) {
  return request({
    url: '/business/ctRebot',
    method: 'put',
    data: data
  })
}

// 删除机器人管理
export function delCtRebot(id) {
  return request({
    url: '/business/ctRebot/' + id,
    method: 'delete'
  })
}
